package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFL39 extends MwfRequest<MWFL39, MWFL39Response> {

    @Parameter(name = "BankaKod")
    MWFL39 bankaKod(String bankaKod);
    @Parameter(name = "CIF")
    MWFL39 cif(String cif);
    @Parameter(name = "CisloUctu")
    MWFL39 cisloUctu(String cisloUctu);
    @Parameter(name = "CostCentrum")
    MWFL39 costCentrum(String costCentrum);
    @Parameter(name = "DruhUctu")
    MWFL39 druhUctu(String druhUctu);
    @Parameter(name = "ISIN")
    MWFL39 isin(String isin);
    @Parameter(name = "ISIN2")
    MWFL39 isin2(String isin2);
    @Parameter(name = "KlientIDDisponent")
    MWFL39 klientIDDisponent(Long klientIDDisponent);
    @Parameter(name = "KonstantniSymbol")
    MWFL39 konstantniSymbol(Long konstantniSymbol);
    @Parameter(name = "MenaUctu")
    MWFL39 menaUctu(String menaUctu);
    @Parameter(name = "ObchodniDatum")
    MWFL39 obchodniDatum(java.util.Date obchodniDatum);
    @Parameter(name = "Objem")
    MWFL39 objem(Double objem);
    @Parameter(name = "Pobocka")
    MWFL39 pobocka(String pobocka);
    @Parameter(name = "PobockaVyplaty")
    MWFL39 pobockaVyplaty(String pobockaVyplaty);
    @Parameter(name = "PocetKS")
    MWFL39 pocetKS(Double pocetKS);
    @Parameter(name = "Produkt")
    MWFL39 produkt(String produkt);
    @Parameter(name = "SpecifickySymbol")
    MWFL39 specifickySymbol(String specifickySymbol);
    @Parameter(name = "StavObchodu")
    MWFL39 stavObchodu(String stavObchodu);
    @Parameter(name = "TypObchodu")
    MWFL39 typObchodu(String typObchodu);
    @Parameter(name = "TypSmlouvy")
    MWFL39 typSmlouvy(String typSmlouvy);
    @Parameter(name = "VariabilniSymbol")
    MWFL39 variabilniSymbol(String variabilniSymbol);
    @Parameter(name = "VlozeniDatum")
    MWFL39 vlozeniDatum(java.util.Date vlozeniDatum);
    @Parameter(name = "Vyplata")
    MWFL39 vyplata(String vyplata);
}
